[Solved] Update Manager Errors

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
FrankN209
Level 1
Level 1
Posts: 27
Joined: Mon Mar 02, 2015 8:46 pm

[Solved] Update Manager Errors

Post by FrankN209 »

Hello,

For the past two days, every time i try to use the update manager, i get this error. I can't find a solution for it.

Code: Select all

W: GPG error: http://download.opensuse.org/repositories/home:/stevenpusser/xUbuntu_17.04  Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 0FAD31CA8719FCE4
W: The repository 'http://download.opensuse.org/repositories/home:/stevenpusser/xUbuntu_17.04  Release' is not signed.
Last edited by FrankN209 on Sat Jan 20, 2018 9:16 pm, edited 2 times in total.

minitux
Level 5
Level 5
Posts: 854
Joined: Tue Sep 12, 2017 10:05 am

Re: Update Manager Errors

Post by minitux »

it's a ppa for ubuntu 17.04 you should remove it

for now post this command line output

Code: Select all

inxi -Sr

FrankN209
Level 1
Level 1
Posts: 27
Joined: Mon Mar 02, 2015 8:46 pm

Re: Update Manager Errors

Post by FrankN209 »

Code: Select all

System:    Host: nuclinuxuser-desktop Kernel: 4.13.0-26-generic x86_64 (64 bit)
           Desktop: Cinnamon 3.6.7  Distro: Linux Mint 18.3 Sylvia
Repos:     Active apt sources in file: /etc/apt/sources.list.d/deluge-team-ppa-xenial.list
           deb http://ppa.launchpad.net/deluge-team/ppa/ubuntu xenial main
           deb-src http://ppa.launchpad.net/deluge-team/ppa/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/official-package-repositories.list
           deb http://packages.linuxmint.com sylvia main upstream import backport
           deb http://archive.ubuntu.com/ubuntu xenial main restricted universe multiverse
           deb http://archive.ubuntu.com/ubuntu xenial-updates main restricted universe multiverse
           deb http://archive.ubuntu.com/ubuntu xenial-backports main restricted universe multiverse
           deb http://security.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
           deb http://archive.canonical.com/ubuntu/ xenial partner
           Active apt sources in file: /etc/apt/sources.list.d/palemoon.list
           deb http://download.opensuse.org/repositories/home:/stevenpusser/xUbuntu_17.04/ /

FrankN209
Level 1
Level 1
Posts: 27
Joined: Mon Mar 02, 2015 8:46 pm

Re: Update Manager Errors

Post by FrankN209 »

I imported a new key, it seems to working fine now.

minitux
Level 5
Level 5
Posts: 854
Joined: Tue Sep 12, 2017 10:05 am

Re: [Solved] Update Manager Errors

Post by minitux »

Oh, ok, I thought it was a ppa to simply install themes, but verifying, instead, is the ppa for the installation and maintenance of Palemoon browser.

However, it was written in the instructions (that you probably followed) here, to import the key, to receive updates and make the packages trusted for your system.
https://software.opensuse.org/download. ... e=palemoon

Code: Select all

wget -nv https://download.opensuse.org/repositories/home:stevenpusser/xUbuntu_17.04/Release.key -O Release.key

Code: Select all

sudo apt-key add - < Release.key

Code: Select all

sudo apt update
or
sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com <PUBKEY>

In your case, is

Code: Select all

sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 0FAD31CA8719FCE4 && sudo apt update

Post Reply

Return to “Software & Applications”